// globale variabele (buiten een functie!): ook toegankelijk in de andere modules image.js, audio.js en video.js
let platform = null;
let hasPermissions = false;
let basePath = null;

$(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
});

function onDeviceReady() {
    $('select').formSelect();
    platform = device.platform;     // https://cordova.apache.org/docs/en/latest/reference/cordova-plugin-device
    if (platform === 'Android') {
        let permissions = cordova.plugins.permissions;      // https://www.npmjs.com/package/cordova-plugin-android-permissions
        let list = [
            permissions.READ_EXTERNAL_STORAGE,
            permissions.WRITE_EXTERNAL_STORAGE,
            permissions.READ_CALENDAR,
            permissions.WRITE_CALENDAR,
            permissions.CAMERA,
            permissions.RECORD_AUDIO,
            permissions.MODIFY_AUDIO_SETTINGS,
        ];
        permissions.requestPermissions(
            list, function (status) {
                if (status.hasPermission) {
                    // Gebruiker heeft op ALLES uit de lijst toestemming gegeven: nu kan je aan storage, calendar, camera en audio
                    hasPermissions = true;
                    basePath = cordova.file.externalRootDirectory  // https://cordova.apache.org/docs/en/latest/reference/cordova-plugin-file/index.html?#android-file-system-layout
                    Image.fromPhone();
                    Audio.fromPhone();
                    Audio.listDir();
                    Video.fromPhone();
                } else {
                    alert('Je hebt nog geen toestemming gegeven')
                }
            }, function (err) {
                console.log('Permission status error', err);
            });
    } else {
        $('#imgDisc, #audioDisc').remove();
    }

    $('#audioSelect').change(function (){
        Audio.fromPhone(this.value);
    })
}
